Batch upsert employees
curl --request POST \
--url https://sandbox.nmbr.co/services/payroll/employees/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "<id>",
"first_name": "Dan",
"last_name": "Smith"
},
{
"first_name": "Jane",
"last_name": "Doe",
"personal_email": "jane.doe@example.com"
}
]
'import requests
url = "https://sandbox.nmbr.co/services/payroll/employees/batch/upsert"
payload = [
{
"id": "<id>",
"first_name": "Dan",
"last_name": "Smith"
},
{
"first_name": "Jane",
"last_name": "Doe",
"personal_email": "jane.doe@example.com"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{id: '<id>', first_name: 'Dan', last_name: 'Smith'},
{first_name: 'Jane', last_name: 'Doe', personal_email: 'jane.doe@example.com'}
])
};
fetch('https://sandbox.nmbr.co/services/payroll/employees/batch/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Batch Operations
Batch upsert employees
POST
/
employees
/
batch
/
upsert
Batch upsert employees
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required array length:
1 - 100 elementsResponse
202
Accepted
⌘I

